Page MenuHomePhabricator

Create a feature flag for active users stats on Special:GadgetUsage
Closed, ResolvedPublic2 Story Points

Description

Per T120895#1875021, we need to create a config variable for whether or not to query for active users at Special:GadgetUsage. The config variable should be true by default and if it's true, use the current query, table output, and page description. If it's false, use the old query, table output, and page description.

After this is in place, we'll set it to false for English Wikipedia via the config files.

Event Timeline

kaldari created this task.Dec 15 2015, 2:39 AM
kaldari raised the priority of this task from to Needs Triage.
kaldari updated the task description. (Show Details)
kaldari added a project: Community-Tech-Sprint.
kaldari added a subscriber: kaldari.
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald TranscriptDec 15 2015, 2:39 AM
kaldari set Security to None.Dec 15 2015, 2:41 AM
kaldari edited a custom field.
kaldari updated the task description. (Show Details)
kaldari added a subscriber: Niharika.
kaldari triaged this task as High priority.Dec 16 2015, 12:14 AM
Niharika claimed this task.Dec 16 2015, 6:34 PM
Niharika moved this task from Ready to In Development on the Community-Tech-Sprint board.

Change 259684 had a related patch set uploaded (by Niharika29):
Add a feature flag to turn off the 'active users' query on GadgetUsage

https://gerrit.wikimedia.org/r/259684

Change 259684 merged by jenkins-bot:
Add a feature flag to turn off the 'active users' query on GadgetUsage

https://gerrit.wikimedia.org/r/259684

kaldari closed this task as Resolved.Dec 19 2015, 12:27 AM
DannyH moved this task from Untriaged to Archive on the Community-Tech board.